Download it now!
Bug 31056 - Impress: incorrect rendering of pptx presentation background
Summary: Impress: incorrect rendering of pptx presentation background
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Thorsten Behrens (CIB)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-22 12:51 UTC by Daniil Bratashov
Modified: 2012-09-19 10:45 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
example of problematic file (40.54 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2010-10-22 12:51 UTC, Daniil Bratashov
Details
MSO 2007 screenshot with titlepage (101.46 KB, image/jpeg)
2010-10-22 12:52 UTC, Daniil Bratashov
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Daniil Bratashov 2010-10-22 12:51:49 UTC
Created attachment 39635 [details]
example of problematic file

Some parts of MSO 2007 pptx are incorrectly imported. Clearly seen in attachment.
Comment 1 Daniil Bratashov 2010-10-22 12:52:59 UTC
Created attachment 39636 [details]
MSO 2007 screenshot with titlepage
Comment 2 Noel Power 2010-10-27 03:01:23 UTC
I guess we know that pptx import is not perfect, thorsten for you?
Comment 3 Roman Eisele 2012-05-03 07:42:27 UTC
This is a Impress bug, therefore changed Component accordingly.
Comment 4 sasha.libreoffice 2012-09-16 08:15:02 UTC
in 3.5.5 and 3.6.1 on Fedora 64 bit this presentation opens correctly
Only hue of first slide is slightly darker on PP tan on LO.

@ Daniil Bratashov
Please, verify in last version of LO if problem is fixed
Comment 5 Daniil Bratashov 2012-09-18 17:31:31 UTC
>Please, verify in last version of LO if problem is fixed

OK, the main problem with round2DiagRect is fixed in the latest builds, the other problems (with shade and innerShdw) are due to special effects support on graphical elements and reported separatedly, for example in fdo45497.
Comment 6 sasha.libreoffice 2012-09-19 10:45:52 UTC
Thanks for additional testing
Due to last comment, changing status to WorksForMe

If problem will appear again, please, change status to Reopened